Bug 131516 - Can't build DB4 RPM source
Can't build DB4 RPM source
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 16:21 EDT by Eric Launier
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 18:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Launier 2004-09-01 16:21:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040803 Firefox/0.8

Description of problem:
Trying to build the RPM Source of db4 (official version fedora core 2)
and get somes errors

Also the package Ed is need to compile this source but is not include
in de prereqbuild in the SPEC file (for this version Core 2)

Also I try the dev version of db4
db4-4.2.52-5.src.rpm and I've no problem to compile it, and the Ed
package is in prereqbuild

Version-Release number of selected component (if applicable):
db4-4.2.52-3.1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild db4-4.2.52-3.1.src.rpm
2.
3.
    

Actual Results:  This is the partial compilation output:

Provides: libdb-4.2.so libdb_cxx-4.2.so
Requires(interp): /sbin/ldconfig /sbin/ldconfig
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3)
libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgcc_s.so.1(GLIBC_2.0)
libm.so.6 libpthread.so.0 libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.2) libpthread.so.0(GLIBC_2.3.2) libstdc++.so.5
libstdc++.so.5(CXXABI_1.2) libstdc++.so.5(GLIBCPP_3.2)
Obsoletes: db1 db1-devel
Processing files: db4-utils-4.2.52-3.1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.76759
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd db-4.2.52
+ DOCDIR=/var/tmp/db4-root/usr/share/doc/db4-utils-4.2.52
+ export DOCDIR
+ rm -rf /var/tmp/db4-root/usr/share/doc/db4-utils-4.2.52
+ /bin/mkdir -p /var/tmp/db4-root/usr/share/doc/db4-utils-4.2.52
+ cp -pr docs/utility /var/tmp/db4-root/usr/share/doc/db4-utils-4.2.52
+ exit 0
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: db4 = 4.2.52-3.1 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.3) libdb-4.2.so libpthread.so.0
libpthread.so.0(GLIBC_2.0)
Obsoletes: db2-utils db3-utils
Processing files: db4-devel-4.2.52-3.1
error: File not found: /var/tmp/db4-root/usr/lib/libdb_cxx.so
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.76759
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd db-4.2.52
+ DOCDIR=/var/tmp/db4-root/usr/share/doc/db4-devel-4.2.52
+ export DOCDIR
+ rm -rf /var/tmp/db4-root/usr/share/doc/db4-devel-4.2.52
+ /bin/mkdir -p /var/tmp/db4-root/usr/share/doc/db4-devel-4.2.52
+ cp -pr docs/api_c docs/api_cxx docs/api_tcl docs/index.html
/var/tmp/db4-root/usr/share/doc/db4-devel-4.2.52
+ cp -pr docs/ref docs/sleepycat
/var/tmp/db4-root/usr/share/doc/db4-devel-4.2.52
+ cp -pr examples_c examples_cxx
/var/tmp/db4-root/usr/share/doc/db4-devel-4.2.52
+ exit 0
Processing files: db4-tcl-4.2.52-3.1
error: File not found: /var/tmp/db4-root/usr/lib/libdb_tcl.so
Processing files: db4-debuginfo-4.2.52-3.1
Provides: libdb-4.2.so.debug libdb_cxx-4.2.so.debug libdb_tcl-4.2.so.debug
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


RPM build errors:
File not found: /var/tmp/db4-root/usr/lib/libdb_cxx.so
File not found: /var/tmp/db4-root/usr/lib/libdb_tcl.so

I don't know what happen. The /var/tmp/db4-root/usr/lib/libdb_cxx.so
are not here
I think is missing symbolic link to the libdb_cxx-4.2.so and
libdb_tcl-4.2.so

Expected Results:  RPM files

Additional info:

I'm using the standard redhat-rpm-config and change nothing in
configuration
Comment 1 Jeff Johnson 2004-09-02 10:17:26 EDT
Use db4-4.2.52-5 then. Any reason why you can't use dv4-4.2.52-5?
Comment 2 Eric Launier 2004-09-02 16:57:26 EDT
Hi,

db4-4.2.52-5 is in the dev branch for fedora core 3
is not in the production (official release core 2)

I want use official source package of fedora core 2

Any suggestion for me ?

Thanks
Comment 3 Jeff Johnson 2004-09-02 18:45:25 EDT
db4-4.2.52 is about as "official" as it's going to get for
Fedora Core.
Comment 4 Eric Launier 2004-09-03 10:01:37 EDT
ok, if you tell me db4-4.2.52-5 is stable for production, I use it!

Thank you for your help

Note You need to log in before you can comment on or make changes to this bug.